/* common.h - common definitions such as TRUE/FALSE
 *
 *
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#ifndef NULL
#define NULL ((void*) 0)
#endif

#ifndef FALSE
#define FALSE (0)
#endif

#ifndef TRUE
#define TRUE (!FALSE)
#endif

#undef MAX
#define MAX(a,b) ( ((a)>(b)) ? (a) : (b) )

#undef MIN
#define MIN(a,b) ( ((a)<(b)) ? (a) : (b) )

typedef int (*Function)(void);

typedef void *Pointer;

#endif /* __COMMON_H__ */
