#ifndef __XWATCH_GUI_H__
#define __XWATCH_GUI_H__

#include <gtk/gtk.h>
#include "xwatch.h"

GdkFont *load_font (char *);
void unload_font (GdkFont *);
GdkColor *load_color (char *);
void unload_color (GdkColor *);

void input_event(gpointer, gint, GdkInputCondition);
gint input_timeout(gpointer);

gint monitor_watch_event (struct Watch *);
gint monitor_watch_timed (struct Watch *);
void unmonitor_watch_event (struct Watch *);
void unmonitor_watch_timed (struct Watch *);

void destroy_window(GtkWidget *, gpointer);
gint delete_window(GtkWidget *, GdkEvent *, gpointer);
void print_line(struct Watch *, char *, int, void *, void *, void *);

int init_gui (int *, char ***);
int start_gui(void);
void exit_gui (int);

#endif /* __XWATCH_GUI_H__ */
